package de.wenzlaff.lombok;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class ArztTest {

	@Test
	public void namensTest() {
		Arzt arzt = new Arzt();
		arzt.setName("");
		assertEquals("", arzt.getName());
	}

	@Test
	public void namenNotNullTest() {
		Arzt arzt = new Arzt();
		assertEquals(null, arzt.getName());
	}

	@Test
	public void toStringTest() {
		Arzt arzt = new Arzt();
		arzt.setName("Wenzlaff");
		arzt.setVorname("Thomas");
		assertEquals("Arzt(titel=null, vorname=Thomas, name=Wenzlaff)", arzt.toString());
	}

}
